Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.aspects.server
Class UserInterceptor

    java.lang.Object
      org.jboss.portal.server.ServerInterceptor
          org.jboss.portal.core.aspects.server.UserInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

    public class UserInterceptor

extends ServerInterceptor

The interceptor is responsible for managing the user identity lifecycle based on the principal name returned by the `HttpServletRequest.getUserPrincipal()` method.

Version:
  $Revision: 11708 $
Author:
  Julien Viet

Field Summary
`protected boolean` | `cacheUser` .
`static java.lang.String` | `PROFILE_KEY` .
`static java.lang.String` | `USER_KEY` .
`protected org.jboss.portal.identity.UserModule` | `userModule` User.
`protected org.jboss.portal.identity.UserProfileModule` | `userProfileModule` UserProfile

Constructor Summary
`UserInterceptor()`

Method Summary
`org.jboss.portal.identity.UserModule` | `getUserModule()`
`org.jboss.portal.identity.UserProfileModule` | `getUserProfileModule()`
`protected void` | `invoke(ServerInvocation invocation)`
`boolean` | `isCacheUser()`
`void` | `setCacheUser(boolean cacheUser)`
`void` | `setUserModule(org.jboss.portal.identity.UserModule userModule)`

Methods inherited from class org.jboss.portal.server.ServerInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROFILE_KEY

    public static final java.lang.String PROFILE_KEY

  .

  See Also:
    Constant Field Values

### USER_KEY

    public static final java.lang.String USER_KEY

  .

  See Also:
    Constant Field Values

### userModule

    protected org.jboss.portal.identity.UserModule userModule

  User.

### userProfileModule

    protected org.jboss.portal.identity.UserProfileModule userProfileModule

  UserProfile

### cacheUser

    protected boolean cacheUser

  .

Constructor Detail

### UserInterceptor

    public UserInterceptor()

Method Detail

### getUserModule

    public org.jboss.portal.identity.UserModule getUserModule()

### getUserProfileModule

    public org.jboss.portal.identity.UserProfileModule getUserProfileModule()

### setUserModule

    public void setUserModule(org.jboss.portal.identity.UserModule userModule)

### invoke

    protected void invoke(ServerInvocation invocation)
                   throws java.lang.Exception,
                          org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in class `ServerInterceptor`
  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

### isCacheUser

    public boolean isCacheUser()

### setCacheUser

    public void setCacheUser(boolean cacheUser)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD